#include<iostream>
#include<cstdio>
#include<string>

using namespace std;

typedef long double ld;

int main() {
	string S;
	cin >> S;

	int n = S.size(), dig;
	ld prob = 1.0, ans = 0.0;
	for (int i = 0; i < n; i++) {
		dig = S[i] - '0';
		ans += prob * (0.9 * (n-i-1) + 1.0) * dig;
		prob *= 0.1;
	}
	printf("%.10Lf\n", ans);
	return 0;
}
